---
updatedAt: 2026-07-17T07:00:35.000Z
agentTools:
  projectIndex: https://developer.searoutes.com/llms.txt
---

# Get weather along a route

When using our [`/route/v2/`](/reference/getsearoute) endpoint, users are returned suggested vessel routes, for a particular vessel and speed, through canals and straight. You can use our `weather/v2/track` endpoint to post the route you obtained from `/route/v2/`, in order to get the weather at each route point. This works both in the past, with historical values, or in the future, with forecasted values.

Alternatively, you can form your own GeoJSON object, and post it to our `weather/v2/track` endpoint to obtain weather on your route. A minima, your FeatureCollection should contain at least one Feature, with the properties `departure` and `speed`, and the corresponding geometry. Below an example of such a minimal object:
```json
{
  "type": "FeatureCollection",
  "properties": {},
  "features": [
      {
          "type": "Feature",
          "properties": {
              "departure": 1581166465000,
              "arrival": 1581191106000,
              "duration": 24641000,
              "speed": 42.0
          },
          "geometry": {
              "type": "LineString",
              "coordinates": [[7.294921874999999,54.265224078605684],[3.076171875,54.13669645687002],[-1.318359375,57.9148477670092]]
          }
      }
  ]
}
```
Note that using our endpoint [`/route/v2/sea/{coordinates}/plan`](/reference/getplansearoute) yields the best results, since we cap the vessel speed in canals and straights where there are vessel speed restrictions.

All values are expressed in the standard SI units (temperatures in Celcius degrees, humidity, cloud coverage and ice coverage in percentages, pressure in hectopascals, precipitation in millimeters, times in seconds, distances in meters, speeds in meters per second, salinity in PSU).


# OpenAPI definition

````json
{
  "openapi": "3.1.0",
  "info": {
    "version": "2.10.0",
    "title": "Weather",
    "description": "# Introduction\nWeather\n",
    "termsOfService": "https://searoutes.com/terms-of-service/",
    "contact": {
      "email": "support@searoutes.com",
      "url": "https://searoutes.com"
    },
    "x-logo": {
      "url": "/img/searoutes-logo-vertical-blue.svg",
      "altText": "Searoutes logo"
    }
  },
  "tags": [
    {
      "name": "Track",
      "description": "Track"
    }
  ],
  "servers": [
    {
      "url": "https://api.searoutes.com"
    }
  ],
  "paths": {
    "/weather/v2/track": {
      "post": {
        "operationId": "postWeather",
        "tags": [
          "Track"
        ],
        "summary": "Get weather along a route",
        "description": "When using our [`/route/v2/`](/reference/getsearoute) endpoint, users are returned suggested vessel routes, for a particular vessel and speed, through canals and straight. You can use our `weather/v2/track` endpoint to post the route you obtained from `/route/v2/`, in order to get the weather at each route point. This works both in the past, with historical values, or in the future, with forecasted values.\n\nAlternatively, you can form your own GeoJSON object, and post it to our `weather/v2/track` endpoint to obtain weather on your route. A minima, your FeatureCollection should contain at least one Feature, with the properties `departure` and `speed`, and the corresponding geometry. Below an example of such a minimal object:\n```json\n{\n  \"type\": \"FeatureCollection\",\n  \"properties\": {},\n  \"features\": [\n      {\n          \"type\": \"Feature\",\n          \"properties\": {\n              \"departure\": 1581166465000,\n              \"arrival\": 1581191106000,\n              \"duration\": 24641000,\n              \"speed\": 42.0\n          },\n          \"geometry\": {\n              \"type\": \"LineString\",\n              \"coordinates\": [[7.294921874999999,54.265224078605684],[3.076171875,54.13669645687002],[-1.318359375,57.9148477670092]]\n          }\n      }\n  ]\n}\n```\nNote that using our endpoint [`/route/v2/sea/{coordinates}/plan`](/reference/getplansearoute) yields the best results, since we cap the vessel speed in canals and straights where there are vessel speed restrictions.\n\nAll values are expressed in the standard SI units (temperatures in Celcius degrees, humidity, cloud coverage and ice coverage in percentages, pressure in hectopascals, precipitation in millimeters, times in seconds, distances in meters, speeds in meters per second, salinity in PSU).\n",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/GeoJsonObject"
              }
            }
          },
          "description": "GeoJSON object to compute weather for"
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "example": [
                  {
                    "type": "FeatureCollection",
                    "features": [
                      {
                        "latitude": 54.265224,
                        "longitude": 7.294922,
                        "distance": 0,
                        "duration": 0,
                        "timestamp": 1581166465000,
                        "type": "Feature",
                        "properties": {},
                        "geometry": {
                          "type": "Point",
                          "coordinates": [
                            7.294922,
                            54.265224
                          ]
                        },
                        "direction": 268,
                        "weather": {
                          "latitude": 54.5,
                          "longitude": 7.5,
                          "timestamp": 1581174000000,
                          "air": {
                            "temperature": {
                              "value": 7.2,
                              "last3Hours": {
                                "max": 7.2,
                                "min": 6.3
                              },
                              "daily": {
                                "max": 7.3,
                                "min": 5
                              }
                            },
                            "humidity": 93.4,
                            "pressure": 1014.8
                          },
                          "precipitation": {
                            "last3Hours": {
                              "cumulative": 0.3,
                              "mean": 0
                            }
                          },
                          "wave": {
                            "height": 1,
                            "period": 6,
                            "length": 36,
                            "direction": 225.9,
                            "vector": {
                              "u": 4.3,
                              "v": 4.2
                            },
                            "speed": 6
                          },
                          "water": {
                            "temperature": {
                              "value": 6.4,
                              "daily": {
                                "max": 6.4,
                                "min": 6.2
                              }
                            },
                            "salinity": 33.3
                          },
                          "current": {
                            "direction": 180,
                            "vector": {
                              "u": 0,
                              "v": 0.1
                            },
                            "speed": 0.1
                          },
                          "wind": {
                            "direction": 204,
                            "vector": {
                              "u": 4.1,
                              "v": 9.2
                            },
                            "gust": 13.9,
                            "speed": 10.0722,
                            "beaufort": 7
                          },
                          "condition": {
                            "overall": "rain"
                          },
                          "cloudCoverage": 100,
                          "iceCoverage": 0,
                          "isLand": false
                        }
                      },
                      {
                        "latitude": 54.136696,
                        "longitude": 3.076172,
                        "distance": 274730,
                        "duration": 6541203,
                        "timestamp": 1581173006203,
                        "type": "Feature",
                        "properties": {},
                        "geometry": {
                          "type": "Point",
                          "coordinates": [
                            3.076172,
                            54.136696
                          ]
                        },
                        "direction": 328,
                        "weather": {
                          "latitude": 54,
                          "longitude": 3,
                          "timestamp": 1581174000000,
                          "air": {
                            "temperature": {
                              "value": 7,
                              "last3Hours": {
                                "max": 7.1,
                                "min": 7
                              },
                              "daily": {
                                "max": 8.4,
                                "min": 7
                              }
                            },
                            "humidity": 84.2,
                            "pressure": 1013.3
                          },
                          "precipitation": {
                            "last3Hours": {
                              "cumulative": 0,
                              "mean": 0
                            }
                          },
                          "wave": {
                            "height": 1,
                            "period": 6.2,
                            "length": 38.440000000000005,
                            "direction": 199.9,
                            "vector": {
                              "u": 2.1,
                              "v": 5.8
                            },
                            "speed": 6.2
                          },
                          "water": {
                            "temperature": {
                              "value": 6.5,
                              "daily": {
                                "max": 6.8,
                                "min": 6.5
                              }
                            },
                            "salinity": 34.4
                          },
                          "current": {
                            "direction": 180,
                            "vector": {
                              "u": 0,
                              "v": 0.1
                            },
                            "speed": 0.1
                          },
                          "wind": {
                            "direction": 224,
                            "vector": {
                              "u": 5.4,
                              "v": 5.6
                            },
                            "gust": 10.4,
                            "speed": 7.7795,
                            "beaufort": 5
                          },
                          "condition": {
                            "overall": "cloudy"
                          },
                          "cloudCoverage": 100,
                          "iceCoverage": 0,
                          "isLand": false
                        }
                      },
                      {
                        "latitude": 57.914848,
                        "longitude": -1.318359,
                        "distance": 775559,
                        "duration": 18465691,
                        "timestamp": 1581184930691,
                        "type": "Feature",
                        "properties": {},
                        "geometry": {
                          "type": "Point",
                          "coordinates": [
                            -1.318359,
                            57.914848
                          ]
                        },
                        "direction": 328,
                        "weather": {
                          "latitude": 58,
                          "longitude": -1.5,
                          "timestamp": 1581184800000,
                          "air": {
                            "temperature": {
                              "value": 7.9,
                              "last3Hours": {
                                "max": 7.9,
                                "min": 6.9
                              },
                              "daily": {
                                "max": 8.6,
                                "min": 6.9
                              }
                            },
                            "humidity": 74.3,
                            "pressure": 991
                          },
                          "precipitation": {
                            "last3Hours": {
                              "cumulative": 0.1,
                              "mean": 0
                            }
                          },
                          "wave": {
                            "height": 3,
                            "period": 8.5,
                            "length": 72.25,
                            "direction": 167.6,
                            "vector": {
                              "u": -1.8,
                              "v": 8.3
                            },
                            "speed": 8.5
                          },
                          "water": {
                            "temperature": {
                              "value": 7.4,
                              "daily": {
                                "max": 7.5,
                                "min": 7.2
                              }
                            },
                            "salinity": 35.1
                          },
                          "current": {
                            "direction": 270,
                            "vector": {
                              "u": 0.1,
                              "v": 0
                            },
                            "speed": 0.1
                          },
                          "wind": {
                            "direction": 178.8,
                            "vector": {
                              "u": -0.4,
                              "v": 18.7
                            },
                            "gust": 25.3,
                            "speed": 18.7043,
                            "beaufort": 10
                          },
                          "condition": {
                            "overall": "rain"
                          },
                          "cloudCoverage": 66,
                          "iceCoverage": 0,
                          "isLand": false
                        }
                      }
                    ],
                    "properties": {}
                  }
                ]
              }
            }
          }
        },
        "x-code-samples": [
          {
            "lang": "curl",
            "source": "curl -X POST \\\nhttp://api.searoutes.com/weather/v2/track \\\n-H 'Content-Type: application/json' \\\n-d '{\n  \"type\": \"FeatureCollection\",\n  \"properties\": {},\n  \"features\": [\n      {\n          \"type\": \"Feature\",\n          \"properties\": {\n              \"departure\": 1581166465000,\n              \"arrival\": 1581191106000,\n              \"duration\": 24641000,\n              \"speed\": 42.0\n          },\n          \"geometry\": {\n              \"type\": \"LineString\",\n              \"coordinates\": [[7.294921874999999,54.265224078605684],[3.076171875,54.13669645687002],[-1.318359375,57.9148477670092]]\n          }\n      }\n  ]\n}'\n"
          }
        ],
        "security": [
          {
            "api_key": []
          }
        ]
      }
    }
  },
  "components": {
    "securitySchemes": {
      "api_key": {
        "type": "apiKey",
        "name": "x-api-key",
        "in": "header",
        "description": "Use your `x-api-key` to authenticate with our APIs. Note that your key is tied with a usage plan. You are therefore rate limited depending on your subscription. If you wish you increase your request calls, please [get in touch with us](/contact/)."
      }
    },
    "schemas": {
      "GeoJsonObject": {
        "description": "GeoJSon object\nThe coordinate reference system for all GeoJSON coordinates is a geographic coordinate reference system, using the World Geodetic System 1984 (WGS 84) datum, with longitude and latitude units of decimal degrees. This is equivalent to the coordinate reference system identified by the Open Geospatial Consortium (OGC) URN An OPTIONAL third-position element SHALL be the height in meters above or below the WGS 84 reference ellipsoid. In the absence of elevation values, applications sensitive to height or depth SHOULD interpret positions as being at local ground or sea level.\n",
        "externalDocs": {
          "url": "https://tools.ietf.org/html/rfc7946#section-3"
        },
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "enum": [
              "Feature",
              "FeatureCollection",
              "Point",
              "MultiPoint",
              "LineString",
              "MultiLineString",
              "Polygon",
              "MultiPolygon",
              "GeometryCollection"
            ]
          },
          "bbox": {
            "description": "A GeoJSON object MAY have a member named \"bbox\" to include information on the coordinate range for its Geometries, Features, or FeatureCollections. The value of the bbox member MUST be an array of length 2*n where n is the number of dimensions represented in the contained geometries, with all axes of the most southwesterly point followed by all axes of the more northeasterly point. The axes order of a bbox follows the axes order of geometries.\n",
            "type": "array",
            "items": {
              "type": "number"
            }
          }
        },
        "required": [
          "type"
        ],
        "discriminator": {
          "propertyName": "type"
        }
      }
    }
  }
}
````